#include "gsKit.h"
#include "dmaKit.h"
#include "malloc.h"
#include <stdio.h>
#include "gsToolkit.h"
int main(void){
	u64 White, Black, TexCol;
	GSGLOBAL *gsGlobal = gsKit_init_global();
	GSFONTM *gsFontM = gsKit_init_fontm();
	dmaKit_init(D_CTRL_RELE_OFF,D_CTRL_MFD_OFF, D_CTRL_STS_UNSPEC,
		    D_CTRL_STD_OFF, D_CTRL_RCYC_8, 1 << DMA_CHANNEL_GIF);
	dmaKit_chan_init(DMA_CHANNEL_GIF);
	dmaKit_chan_init(DMA_CHANNEL_FROMSPR);
	dmaKit_chan_init(DMA_CHANNEL_TOSPR);
	Black = GS_SETREG_RGBAQ(0x00,0x00,0x00,0x00,0x00);
	White = GS_SETREG_RGBAQ(0xFF,0xFF,0xFF,0x00,0x00);
    TexCol = GS_SETREG_RGBAQ(0x80,0x80,0x80,0x80,0x00);
    gsGlobal->PrimAlphaEnable = GS_SETTING_ON;
	gsKit_init_screen(gsGlobal);
	gsKit_fontm_upload(gsGlobal, gsFontM);
	gsFontM->Spacing = 0.95f; // ̖x
    gsKit_mode_switch(gsGlobal, GS_ONESHOT);
	while(1){
		gsKit_clear(gsGlobal, White);
		// X=50 / Y=100 / TCY=1.85f / F=O[
		gsKit_fontm_print_scaled(gsGlobal, gsFontM, 50, 100, 3, 1.85f, TexCol,"Hello,world!\n");
		gsKit_fontm_print_scaled(gsGlobal, gsFontM, 50, 140, 3, 1.85f, Black,"Black color!\n");
		gsKit_sync_flip(gsGlobal);
		gsKit_queue_exec(gsGlobal);
	}
	return 0;
}